Skip to main content

Delete Appointment

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.delete_appointment

Cancel/delete an appointment from GoHighLevel

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-delete-appointment-example",
"method": "tools/call",
"params": {
"name": "ghl.delete_appointment",
"arguments": {
"appointmentId": "appointmentId_123",
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"confirmApply": {
"type": "string"
},
"appointmentId": {
"type": "string"
}
},
"required": [
"appointmentId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-delete-appointment-example",
"method": "tools/call",
"params": {
"name": "ghl.delete_appointment",
"arguments": {
"appointmentId": "appointmentId_123",
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.delete_appointment executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}